Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class TextNode

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.TextNode

Direct Known Subclasses:
  AccessPoint, AddressLine, AuthInfo, BindingKey, BusinessKey, Description, DiscoveryURL, Email, ErrInfo, FindQualifier, InstanceParms, KeyValue, Name, OverviewURL, PersonName, Phone, ServiceKey, TModelKey, UploadRegister

public abstract class TextNode
extends java.lang.Object

TextNode represents the base for all text nodes

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Field Summary
`protected java.lang.String` | `value`

Constructor Summary
`TextNode()` Class Constructor
`TextNode(java.lang.String val)` Class constructor specifying the initialization value.

Method Summary
`java.lang.String` | `getValue()` Gets the value of the text node.
`void` | `setValue(java.lang.String val)` Sets the value of the text node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

Constructor Detail

### TextNode

    public TextNode()

  Class Constructor

### TextNode

    public TextNode(java.lang.String val)

  Class constructor specifying the initialization value.

  Parameters:
    `val` - value of the text node.

Method Detail

### getValue

    public java.lang.String getValue()

  Gets the value of the text node.

  Returns:
    the current value of the text node.

### setValue

    public void setValue(java.lang.String val)

  Sets the value of the text node.

  Parameters:
    `val` - the new value of the text node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference